#
# spec file for package bumpversion
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bumpversion
Version:        0.5.3
Release:        lp150.1.3
Summary:        Version-bump your software with a single command
License:        MIT
Group:          Development/Tools/Version Control
Url:            https://github.com/peritus/bumpversion
Source:         https://files.pythonhosted.org/packages/source/b/bumpversion/bumpversion-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:       python-bumpversion = %version
Obsoletes:      python-bumpversion < %version
BuildArch:      noarch

%description
Version-bump your software with a single command!

bumpversion updates all version strings in your source tree by the correct
increment, commits that change to git or Mercurial and tags it.

%prep
%setup -q -n bumpversion-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%doc README.rst
%{_bindir}/bumpversion
%{python3_sitelib}/bumpversion*

%changelog
* Wed Aug 30 2017 sebix+novell.com@sebix.at
- rename package to bumpversion, as it is a standalone tool, and
  neither specific to python, nor a library
* Sat Apr 18 2015 benoit.monin@gmx.fr
- update to version 0.5.3:
  * Fix bug where --new-version value was not used when config was
    present
  * Preserve case of keys config file
  * Windows CRLF improvements
- additional changes from version 0.5.1:
  * Document file specific options search = and replace =
  * Fix parsing individual labels from serialize = config even if
    there are characters after the last label
  * Fix: Don’t crash in git repositories that have tags that
    contain hyphens
  * Fix: Log actual content of the config file, not what
    ConfigParser prints after reading it
  * Fix: Support multiline values in search = also load
    configuration from setup.cfg
- additional changes from version 0.5.0:
  * New feature: Part specific configuration
  * New feature: File specific configuration
  * New feature: parse option can now span multiple line
  * New feature: --allow-dirty
  * Fix: Save the files in binary mode to avoid mutating newlines
  * License: bumpversion is now licensed under the MIT License
  * Deprecate multiple files on the command line
  * Deprecate "files =" configuration
- additional changes from version 0.4.1:
  * Add --list option
  * Use temporary files for handing over commit/tag messages to
    git/hg
  * Fix: don’t encode stdout as utf-8 on py3
  * Fix: logging of content of config file was wrong
- additional changes from version 0.4.0:
  * Add --verbose option
  * Allow option --serialize multiple times
- additional changes from version 0.3.8:
  * Fix: --parse/--serialize didn’t work from cfg
- additional changes from version 0.3.7:
  * Don’t fail if git or hg is not installed
  * "files" option is now optional
  * Fix bug related to dirty work dir
- change license to MIT, as announced in the release notes
* Fri Nov 22 2013 speilicke@suse.com
- Initial version
